
rm(list=ls())
library(geoR)

P<-read.geodata("TEST4.txt")

vario <- variog(P, uvec = c(10,25,35,45,55,65,75,85,95,125,175,250,350,450,550,650,750), max.dist = 900)      

ml.n <- likfit(P, ini = c(20000, 100),lik.method = "ML")

x <- seq(-493.4775,346.5225,by=2)
y <- seq(-950.511125,-180.511125,by=2)
locg <- expand.grid(x,y)


kopn.ml <- krige.conv(P, locations = locg, krige = krige.control(type.krige = "OK", obj.m = ml.n))

image(kopn.ml, xlim=c(-520,520),loc = locg, col=rainbow(16),  
cex.lab=1.1)
legend.krige(x.leg=c(400,440), y.leg=c(-900,-300), kopn.ml$pred, col=rainbow(16), 
vert=TRUE, cex=0.8, font=2)
points(P$coords, pch=20, col="black")
title(main = "OK Prediction with ML model (est. nugget)", font.main = 2)
mtext(side = 1, text = "Easting (km)", line = 2.4, cex=1.3)
mtext(side = 2, text = "Northing (km)", line = 2.4, cex=1.3)

